Bug 176687 - Permissions too open for /proc/PID/smaps
Permissions too open for /proc/PID/smaps
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
: 176686 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-29 18:00 EST by Guillaume Chazarain
Modified: 2015-01-04 17:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-03 11:54:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Guillaume Chazarain 2005-12-29 18:00:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr-FR; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
The execshield patch tightens the permissions of /proc/PID/maps
but not the new /proc/PID/smaps.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4smp

How reproducible:
Always

Steps to Reproduce:
1. cat /proc/1/smaps


Actual Results:  I could discover the memory layout of a process I don't own.

Expected Results:  Like with cat /proc/1/maps I should not have access to these informations.

Additional info:

Not sure about the security risk involved, but it is
inconsistent with the /proc/PID/maps permissions.
Comment 1 Guillaume Chazarain 2005-12-29 18:05:51 EST
*** Bug 176686 has been marked as a duplicate of this bug. ***
Comment 2 Dave Jones 2006-02-03 00:19:17 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 Guillaume Chazarain 2006-02-03 08:32:27 EST
This is fixed now (since kernel-2.6.14-1.1656_FC4)

Note You need to log in before you can comment on or make changes to this bug.